#include "PathFollowing.hpp"
#include "../ui/ComponentRegistration.hpp"
#include "../ui/PathFollowingEditor.hpp"

REGISTER_COMPONENT_GROUP("Path Following", "AI", PathFollowingComponent,
			 PathFollowingEditor)
{
	registry.registerComponent<PathFollowingComponent>(
		"Path Following", "AI",
		std::make_unique<PathFollowingEditor>(),
		// Adder
		[](flecs::entity e) {
			if (!e.has<PathFollowingComponent>())
				e.set<PathFollowingComponent>({});
		},
		// Remover
		[](flecs::entity e) {
			if (e.has<PathFollowingComponent>())
				e.remove<PathFollowingComponent>();
		});
}
